WorkerScript.onMessage = function(message) {

    var XHR = new XMLHttpRequest();
    var thumb_url;

    XHR.open("GET", message.person_url);
    XHR.setRequestHeader("Accept", "application/json");

    XHR.onreadystatechange = function() {
        if(XHR.readyState != XHR.DONE)
            return;
        if(XHR.status != 200)
            return;

        var obj = JSON.parse(XHR.responseText);

        for(var i=0; i<obj.combined_credits.cast.length; i++) {
            if (obj.combined_credits.cast[i].poster_path == null)
                thumb_url = "null"
            else
                thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.combined_credits.cast[i].poster_path


            if(obj.combined_credits.cast[i].media_type == "movie")
                message.actedModel.append({"title": obj.combined_credits.cast[i].title,
                                              "character": obj.combined_credits.cast[i].character,
                                              "media_type": obj.combined_credits.cast[i].media_type,
                                              "id": obj.combined_credits.cast[i].id,
                                              "iconUrl": thumb_url});
            else if(obj.combined_credits.cast[i].media_type == "tv")
                message.actedModel.append({"title": obj.combined_credits.cast[i].name,
                                              "character": obj.combined_credits.cast[i].media_type,
                                              "media_type": obj.combined_credits.cast[i].media_type,
                                              "id": obj.combined_credits.cast[i].id,
                                              "iconUrl": thumb_url});
            message.actedModel.sync()
        }

        for(i=0; i<obj.combined_credits.crew.length; i++) {
            if (obj.combined_credits.crew[i].poster_path == null)
                thumb_url = "null"
            else
                thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.combined_credits.crew[i].poster_path


            if(obj.combined_credits.crew[i].media_type == "movie")
                message.directedModel.append({"title": obj.combined_credits.crew[i].title,
                                              "character": obj.combined_credits.crew[i].job,
                                              "media_type": obj.combined_credits.crew[i].media_type,
                                              "id": obj.combined_credits.crew[i].id,
                                              "iconUrl": thumb_url});
            else if(obj.combined_credits.crew[i].media_type == "tv")
                message.directedModel.append({"title": obj.combined_credits.crew[i].name,
                                              "character": obj.combined_credits.crew[i].job,
                                              "media_type": obj.combined_credits.crew[i].media_type,
                                              "id": obj.combined_credits.crew[i].id,
                                              "iconUrl": thumb_url});
            message.directedModel.sync()
        }

        WorkerScript.sendMessage({ 'poster': obj.profile_path,
                                     "name": obj.name,
                                     "biography": obj.biography,
                                     "birthday": obj.birthday,
                                     "deathday": obj.deathday,
                                     "place_of_birth": obj.place_of_birth,
                                     "homepage": obj.homepage})
    };

    XHR.send();
}
