import QtQuick 2.0
import Ubuntu.Components 0.1
import "../../components"

// Page to search for persons
Page {
    id: searchMoviePage

    visible: false
    title: "Search Person"

    SearchPage {
        anchors.fill: parent
        type: "person"
        search_url: root.baseUrl + "/search/person" + root.api_Key
        onResultClicked: pageStack.push(Qt.resolvedUrl("PersonPage.qml"), {"person_id": model.id, "type": "person"})
    }
}
