WorkerScript.onMessage = function(message) {

    var XHR = new XMLHttpRequest();
    var thumb_url;
    message.model.clear()

    XHR.open("GET", message.url);
    XHR.setRequestHeader("Accept", "application/json");

    XHR.onreadystatechange = function() {
        if(XHR.readyState != XHR.DONE)
            return;
        if(XHR.status != 200)
            return;

        var obj = JSON.parse(XHR.responseText);

        for(var i=0; i<obj.results.length; i++) {

            if (message.type == "movie") {

                if (obj.results[i].poster_path == null)
                    thumb_url = "null"
                else
                    thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.results[i].poster_path

                message.model.append({"name": obj.results[i].title,
                                         "id": obj.results[i].id,
                                         "thumb_url": thumb_url});
            }

            else if (message.type == "person"){

                if (obj.results[i].profile_path == null)
                    thumb_url = "null"
                else
                    thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.results[i].profile_path

                message.model.append({"name": obj.results[i].name,
                                         "id": obj.results[i].id,
                                         "thumb_url": thumb_url});
            }

            else if (message.type == "tv") {
                if (obj.results[i].poster_path == null)
                    thumb_url = "null"
                else
                    thumb_url = "http://d3gtl9l2a4fn1j.cloudfront.net/t/p/" + "w185/" + obj.results[i].poster_path

                message.model.append({"name": obj.results[i].name,
                                         "id": obj.results[i].id,
                                         "thumb_url": thumb_url});
            }

            message.model.sync()
        }
    };

    XHR.send();
}
