import QtQuick 2.0
import Ubuntu.Components 0.1
import "../../components"

// Page to search for movies
Page {
    id: searchMoviePage

    visible: false
    title: "Search Movie"

    SearchPage {
        anchors.fill: parent
        type: "movie"
        search_url: root.baseUrl + "/search/movie" + root.api_Key
        onResultClicked: pageStack.push(Qt.resolvedUrl("MoviePage.qml"), {"movie_id": model.id})
    }
}
